## visad.data.hdfeos
Class EosSwath

    java.lang.Object
      visad.data.hdfeos.EosStruct
          visad.data.hdfeos.EosSwath

public class EosSwath
extends EosStruct

Field Summary
`(package private) DimensionSet` `D_Set`
`(package private) VariableSet` `DV_Set`
`(package private) ShapeSet` `DV_shapeSet`
`(package private) GeoMapSet` `G_Set`
`(package private) VariableSet` `GV_Set`
`(package private) ShapeSet` `GV_shapeSet`
`(package private) int` `sd_id`
`(package private) int` `swath_id`

Fields inherited from class visad.data.hdfeos.EosStruct
`D_TYPE, G_TYPE, struct_id`

Constructor Summary
`(package private)` `EosSwath(int file_id, int sd_id, String name)`

Method Summary
`ShapeSet` `getDV_shapeSet()`
`ShapeSet` `getGV_shapeSet()`
`int` `getStructId()` - end EosSwath constuctor - - - - - - - - - - - - -

Methods inherited from class visad.data.hdfeos.EosStruct
`readData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### swath_id

    int swath_id

### sd_id

    int sd_id

### G_Set

    GeoMapSet G_Set

### D_Set

    DimensionSet D_Set

### DV_Set

    VariableSet DV_Set

### GV_Set

    VariableSet GV_Set

### DV_shapeSet

    ShapeSet DV_shapeSet

### GV_shapeSet

    ShapeSet GV_shapeSet

Constructor Detail

### EosSwath

    EosSwath(int file_id,
             int sd_id,
             String name)
       throws HdfeosException

Method Detail

### getStructId

    public int getStructId()

  - end EosSwath constuctor - - - - - - - - - - - - -

  Overrides:
    `getStructId` in class `EosStruct`

### getDV_shapeSet

    public ShapeSet getDV_shapeSet()

### getGV_shapeSet

    public ShapeSet getGV_shapeSet()